<?php

// ----------------------------------------------------------------------
//   File        : inc_newsaverelease.php
//   Description : displays form to enter a new press release record. 
//				   Submitting form saves the release record.
//   Version     : 1.0
//   Created     : 1/12/2014
//   Author      : Tim Lockwood
//
// ----------------------------------------------------------------------




include("inc_security.php");




screenheading("New release");




//get subaction
if (isset($_REQUEST['subaction']))
   $strSubAction = $_REQUEST['subaction'];
else
   $strSubAction = NULL;
   
   
if ($strSubAction == "submit") {
   
   //accept data
   if (isset($_REQUEST['dateday']))
      $strDateDay = $_REQUEST['dateday'];
   else
      $strDateDay = "";

   if ($strDateDay == "")
   {
      $strDateDay = "00";
   }
   
   if (isset($_REQUEST['datemonthnewedit']))
      $strDateMonth = $_REQUEST['datemonthnewedit'];
   else
      $strDateMonth = "";

   if ($strDateMonth == "")
   {
      $strDateMonth = "00";
   }
   
   if (isset($_REQUEST['dateyearnewedit']))
      $strDateYear = $_REQUEST['dateyearnewedit'];
   else
      $strDateYear = "";	  

   if ($strDateYear == "")
   {
      $strDateYear = "0000";
   }
   
   if (isset($_REQUEST['title']))
      $strTitle = substr($_REQUEST['title'],0,255);
   else
      $strTitle = NULL;
	  
   if (isset($_REQUEST['summary']))
      $strSummary = substr($_REQUEST['summary'],0,255);
   else
      $strSummary = NULL;	  

   if (isset($_REQUEST['releasebody']))
      $strBody = nl2br($_REQUEST['releasebody']);
   else
      $strBody = NULL;

   if (isset($_REQUEST['categorynewedit']))
      $intCategory = $_REQUEST['categorynewedit'];
   else
      $intCategory = NULL;
	  
   if ($intCategory == "")
   {
      $intCategory = 0;
   }

   if (isset($_REQUEST['publish']))
      $strPublish = $_REQUEST['publish'];
   else
      $strPublish = NULL;	  
		 
		 
	//prepare data if magic quotes is off
    if (!get_magic_quotes_gpc()) {
	  $strDateDay = addslashes($strDateDay);
	  $strDateMonth = addslashes($strDateMonth);
	  $strDateYear = addslashes($strDateYear);
	  $strTitle = addslashes($strTitle);
	  $strSummary = addslashes($strSummary);
	  $strBody = addslashes($strBody);	
	  $intCategory = addslashes($intCategory);
	  $strPublish = addslashes($strPublish);	  
	}
	  
	  
   SaveNewRelease($strDateDay, $strDateMonth, $strDateYear, $strTitle, $strSummary, $strBody, $intCategory, $strPublish);
   
}
else
{
   DisplayNewReleaseForm();
}




function DisplayNewReleaseForm() {

   global $strFormAdminState;
   
   print("<table class=\"formtable\" width=\"572\" border=\"0\" cellpadding=\"2\" cellspacing=\"2\">\n");
   print("<form action=\"" . $_SERVER['PHP_SELF'] . "\" method=\"post\">\n");
   print("<input type=\"hidden\" name=\"pageaction\" value=\"saverelease\">\n");
   print $strFormAdminState;
   print("<input type=\"hidden\" name=\"subaction\" value=\"submit\">\n"); 
   
   print("  <tr>\n");
   print("    <td class=\"formhead\">&nbsp;Publish Date</td>\n");
   print("    <td class=\"formtext\">");
   include("includes/daypart.php");
   include("includes/monthpart.php");
   include("includes/yearpart.php");
   print("</td>\n");
   print("  </tr>\n");
   print("  <tr>\n");
   print("    <td class=\"formhead\">Title</td>\n");
   print("    <td class=\"formtext\"><input type=\"text\" name=\"title\" size=\"50\" class=\"formitem\"></td>\n");
   print("  </tr>\n");
   print("  <tr>\n");
   print("    <td class=\"formhead\">Summary</td>\n");
   print("    <td class=\"formtext\"><textarea name=\"summary\" rows=\"4\" cols=\"50\" class=\"formitem\" onkeyup=\"CheckFieldLength(summary, 'charcount1', 'remaining1', 255);\" onkeydown=\"CheckFieldLength(summary, 'charcount1', 'remaining1', 255);\" onmouseout=\"CheckFieldLength(summary, 'charcount1', 'remaining1',255);\" onmouseover=\"CheckFieldLength(summary, 'charcount1', 'remaining1',255);\"></textarea><br>\n");
   print("<small><span id=\"charcount1\">0</span> characters entered.   |   <span id=\"remaining1\">255</span> characters remaining.</small>\n");
   print("    </td>\n");
   print("  </tr>\n");
   print("  <tr>\n");
   print("    <td class=\"formhead\">Body</td>\n");
   print("    <td class=\"formtext\"><textarea name=\"releasebody\" rows=\"12\" cols=\"70\" class=\"formitem\"></textarea></td>\n");
   print("  </tr>\n");
   print("  <tr>\n");
   print("    <td class=\"formhead\">Category</td>\n");
   print("    <td class=\"formtext\">");
   include("includes/categorydropdown.php");
   print("</td>\n");
   print("  </tr>\n");   
   print("  <tr>\n");
   print("    <td class=\"formhead\">Publish</td>\n");
   print("    <td class=\"formtext\"><input type=\"checkbox\" name=\"publish\" value=\"active\" class=\"formitem\" checked></td>\n");
   print("  </tr>\n");   
   print("  <tr>\n");
   print("    <td class=\"formspacer\" colspan=\"2\"></td>\n");
   print("  </tr>\n");     
   print("  <tr>\n");
   print("    <td>&nbsp;</td>\n");
   print("    <td><input type=\"submit\" value=\"save release\"></td>\n");
   print("  </tr>\n");
   print("</table>\n");
   print("</form>\n");
   print("<div id=\"bottomspacer\"></div>");
   
}




function SaveNewRelease($strDateDay, $strDateMonth, $strDateYear, $strTitle, $strSummary, $strBody, $intCategory, $strPublish) {

   global $strAdminState;

   @ $dtDatetime = date("h:i A l F dS, Y");

   $dtDate = $strDateYear . "-" . $strDateMonth . "-" . $strDateDay;
   
   //generate sql statement
   $sqlStmt = "INSERT INTO prpressrelease VALUES (" .
   "NULL, '$dtDate', '$strTitle', '$strSummary', '$strBody', '$intCategory', '$strPublish', " .
   "'$dtDatetime', '" . addslashes($_SESSION['Username']) . "', '$dtDatetime', '" . addslashes($_SESSION['Username']) . "')";

   //print $sqlStmt;
   
   // execute statement
   dbaction($sqlStmt); 

   ConfirmMessage("New press release record saved", "" . $_SERVER['PHP_SELF'] . "?pageaction=releases$strAdminState");
  	  
}




?>